<?xml version="1.0"?>
<launch>
    <arg name="sim" default="false"/>
    <arg name="robot" default="ur3"/>
    <arg name="rail" default="false"/>
    <group ns="$(arg robot)_robot">
        <rosparam command="load" file="$(find ur_qp_control)/config/velocity_control.yaml" />
        <param name="sim" value="$(arg sim)"/>
 
        <include unless="$(arg sim)" file="$(find ur_robot_driver)/launch/$(arg robot)_bringup.launch">
            <arg name="robot_ip" value="192.168.0.50"/>
            <arg name="kinematics_config" value="$(find ur_calibration)/etc/$(arg robot)_ensc_right.yaml"/>
            <arg name="controllers" value="joint_state_controller joint_group_vel_controller force_torque_sensor_controller" />
            <arg name="stopped_controllers" value="pos_joint_traj_controller  scaled_pos_joint_traj_controller speed_scaling_state_controller"/>
        </include>  

        <include if="$(arg sim)" file="$(find ur_qp_control)/launch/ur_bringup.launch">
            <arg name="robot" value="$(arg robot)"/>
            <arg name="rail" value="$(arg rail)"/>
            <!-- <arg name="robot_description_file" default="$(find solvay_setup_description)/launch/setup.launch"/> -->
            <arg name="controllers" value="joint_state_controller joint_group_vel_controller"/>
            <arg name="stopped_controllers" value="pos_joint_traj_controller"/>
        </include>


        <node name="ur_qp_control" type="ur_qp_control" pkg="ur_qp_control" args="_robot:=$(arg robot)_robot"/>

        <include file="$(find ur_qp_control)/launch/moveit.launch" >
         <arg name="robot" value="$(arg robot)"/>
        </include>
        
        <node name="rviz" pkg="rviz"  type="rviz" args="-d $(find ur_qp_control)/launch/robot.rviz"/>
        <param name="move_group/trajectory_execution/execution_duration_monitoring" value="false"/>

    </group>    
</launch>